%define base_name	kde-style
%define theme_name	reinhardt
%define name		%{base_name}-%{theme_name}
%define version		0.8.2
%define release		1mdk
%define summary		Reinhardt style theme for KDE

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		%{summary}
License:		GPL
Group:			Graphical desktop/KDE
Source:			%{theme_name}style-%{version}.tar.bz2
URL:			http://kde-look.org/content/show.php?content=5962
BuildRequires:		kdelibs-devel
BuildRequires:		kdebase-devel
BuildRequires:		png-devel , jpeg-devel
BuildRequires:		qt3-devel
BuildRoot:		%{_tmppath}/%{name}-buildroot
Provides:		kdemoreartwork-slickerstyle
Obsoletes:		kdemoreartwork-slickerstyle

%description
This is the Reinhardt style.
 
It is based very heavily on clee's dotNET style. It will eventually be an 
interpretation of Fop's mockups as seen on kde-look.org and the Slicker 
homepage. It is a proposal for the default Slicker widget style.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{theme_name}style-%{version}

%build
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=%{_prefix} --libdir=%_libdir --mandir=%_mandir --disable-debug --disable-rpath --enable-final --disable-warnings
%make

%install
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG README TODO
%{_libdir}/kde3/plugins/styles/%{theme_name}.*
%{_libdir}/kde3/kstyle_%{theme_name}_config.*
%{_datadir}/apps/kstyle/themes/%{theme_name}.themerc

%changelog
* Thu Dec 02 2004 Laurent Culioli <laurent@mandrake.org> 0.8.2-1mdk
- new version

* Wed Jul 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.3-2mdk
- rebuild for new g++

* Fri Apr 23 2004 Laurent Culioli <laurent@mandrake.org> 0.6.3-1mdk
- 0.6.3

* Mon Apr 19 2004 Laurent Culioli <laurent@mandrake.org> 0.6.2-1mdk
- 0.6.2
- new naming scheme

* Wed Aug 27 2003 Laurent Culioli <laurent@pschit.net> 0.4-1mdk
- initial release

